Journal des modifications
Release 8.1
RDTP-23323
What's Changed
GET /subscribers/mine/notifications
Retrieve Notifications
Return Type:
Changed response : 200 OK
Successful RETRIEVE
-
Changed property
notifications(array)Changed items (object):
-
Changed property
taskResult(object)-
Changed property
subTasks(object)- Added property
ignored(integer)Number of ignored Sub-Tasks
- Added property
-
-
GET /subscribers/mine/notifications/{notificationID}
Retrieve a Notification
Return Type:
Changed response : 200 OK
Successful RETRIEVE
-
Changed property
taskResult(object)-
Changed property
subTasks(object)- Added property
ignored(integer)Number of ignored Sub-Tasks
- Added property
-
RDTP-26184
What's Changed
GET /subscribers/mine/notifications
Retrieve Notifications
Parameters:
Changed: taskType in query
Task type filtering (exact match) Added the
DEVICE_FRAMES_EXPORTvalue. The parameter now accepts multiple values, encoded as severaltaskTypequery parameters in the URI (OR filtering).
Return Type:
Changed response : 200 OK
Successful RETRIEVE
-
Changed property
notifications(array)Changed items (object):
-
Changed property
taskResult(object)-
Changed property
action(object)Added the
DEVICE_FRAMES_EXPORTtask type.Added properties for the
DEVICE_FRAMES_EXPORTtask type:-
Added property
taskType(string)Type of Task. Value
DEVICE_FRAMES_EXPORTfor an export of the frames of Devices. -
Added property
request(object)Parameters of the export request, as provided when the export was requested. These properties are always provided, whatever the result of the task.
-
Added property
from(string)Start of the export window (inclusive): only frames received on or after this timestamp are exported. Syntax: ISO 8601 timestamp with time zone designator.
-
Added property
to(string)End of the export window (inclusive): only frames received on or before this timestamp are exported. Syntax: ISO 8601 timestamp with time zone designator.
-
Added property
devEUIs(array, optional)Only exports the frames of devices matching these DevEUIs (exact match). When omitted, the frames of all devices are exported, subject to the
tagsfilter. Maximum 20 items.Items (string):
-
Added property
tags(array, optional)Only exports the frames of devices matching these tags (exact match). When omitted, no tag filtering is applied. Maximum 5 items.
Items (string):
-
Added property
type(integer, optional)Type of the frames to export:
0for Uplink,1for Downlink. When omitted, both uplink and downlink frames are exported.
-
-
Added property
result(string)Result of the Task (
PENDING,SUCCESS,ERROR). -
Added property
downloadUrl(string, optional)URL to download the file containing the exported frames. This property is not provided when the export did not match any frame: in this case no file is generated even though the export is successful.
-
-
-
GET /subscribers/mine/notifications/{notificationID}
Retrieve a Notification
Return Type:
Changed response : 200 OK
Successful RETRIEVE
-
Changed property
taskResult(object)-
Changed property
action(object)Added the
DEVICE_FRAMES_EXPORTtask type.Added properties for the
DEVICE_FRAMES_EXPORTtask type:-
Added property
taskType(string)Type of Task. Value
DEVICE_FRAMES_EXPORTfor an export of the frames of Devices. -
Added property
request(object)Parameters of the export request, as provided when the export was requested. These properties are always provided, whatever the result of the task.
-
Added property
from(string)Start of the export window (inclusive): only frames received on or after this timestamp are exported. Syntax: ISO 8601 timestamp with time zone designator.
-
Added property
to(string)End of the export window (inclusive): only frames received on or before this timestamp are exported. Syntax: ISO 8601 timestamp with time zone designator.
-
Added property
devEUIs(array, optional)Only exports the frames of devices matching these DevEUIs (exact match). When omitted, the frames of all devices are exported, subject to the
tagsfilter. Maximum 20 items.Items (string):
-
Added property
tags(array, optional)Only exports the frames of devices matching these tags (exact match). When omitted, no tag filtering is applied. Maximum 5 items.
Items (string):
-
Added property
type(integer, optional)Type of the frames to export:
0for Uplink,1for Downlink. When omitted, both uplink and downlink frames are exported.
-
-
Added property
result(string)Result of the Task (
PENDING,SUCCESS,ERROR). -
Added property
downloadUrl(string, optional)URL to download the file containing the exported frames. This property is not provided when the export did not match any frame: in this case no file is generated even though the export is successful.
-
-
Release 8.0
Initial release